Subject: Re: p5-BerkeleyDB-0.26 broken against db4 4.4.x
To: None <>
From: Matt Dainty <>
List: tech-pkg
Date: 01/09/2006 00:01:21
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

On Sun, 2006-01-08 at 18:51 -0500, Mark E. Perkins wrote:
> On 2006/01/08 18:17, Matt Dainty wrote:
> > Hi,
> >=20
> > p5-BerkeleyDB 0.26 won't compile against db4 4.4.x:
> <snip>
> > Upping to 0.27 fixes this, the ChangeLog for the module explicitly
> > mentions adding 4.4.x support in this version.
> Indeed. Did you run the test suite after building? A simple drop-in of
> 0.27 on Mac OS X 10.3.9 results in a raft of failures for on the test
> suite (see below). OTOH, the test suite passes when I build 0.27 outside
> the control of pkgsrc.

Running "make test" here inside pkgsrc produced no errors apart from
skipping the mldbm and pod tests, this is on NetBSD/i386 3.0.


Content-Type: application/pgp-signature; name=signature.asc
Content-Description: This is a digitally signed message part

Version: GnuPG v1.4.1 (GNU/Linux)